2

There is a PPA where I can find these packages for 12.04? Also a build script will do the job!

I've tried to download it from sources but the dependencies are a mess.

I'd like to start porting my projects to C++-11 but don't want to waste too much time installing from sources stuff...

GCC 4.8 will be included in 13.04? If so I could wait a pair of months :)

I've tried to install it as specified by this question: How to install gcc-4.8 :

sudo add-apt-repository ppa:ubuntu-toolchain-r/test

[ok]

sudo apt-get update

[ok]

gabry@nevada:~$ sudo apt-get install gcc-4.8
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package gcc-4.8

It seems that there is no version for 12.04...

Actually I'm trying to build from sources, I've had luck with the native compiler but I'm going crazy to build a mingw32 w64 with std::thread support...

1

User74513,

Yes, the unnecessary dependency of gcc 4.8 on ubuntu 13.04 is a fact. Visit the site:

https://launchpad.net/~ubuntu-toolchain-r/+archive/test

and under the "Overview of published packages" select quantal (or whatever, ex raring), and you'll see no availability. Select Raring and life will be good, except for the wait and then the bugs once 13.04 is released.

For std::thread's you can use gcc 4.7.2-5ubuntu. The difference between 4.7 and 4.8 (and others) can be seen here:

http://gcc.gnu.org/gcc-4.7/cxx0x_status.html

(or /gcc-4.8/)

If you need thread local storage, however, then you'll need gcc 4.8.

For the record, I've written the developers who own the PPA above (3 times) but they never bothered to reply.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.